<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">









<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

    <style type="text/css" media="screen">
    @import url('../../../../style.css');
    @import url('../../../../roundedcorners.css');
  </style>
    
  <title>HttpCore 4.2.3</title></head>
<body onload="onLoad('HttpCore 4.2.3: org.apache.http.message.TestNameValuePair.java');">



 <table cellspacing="0" cellpadding="2" class="barGraph"><tbody>
  <tr>
    <td colspan="8">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage  Report - <a href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:34:57 CET</div>

        
    
            <div class="navBar"><a href="../../../../pkg-summary.html"><b>Overview</b></a>&nbsp;&nbsp;&nbsp;<a href="pkg-summary.html"><b>Package</b></a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">File</span></div>
    
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="TestNameValuePair.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for file TestNameValuePair.java:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'file';">Stmts:</label></td>
           <td >      27
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'file';">LOC:</label></td>
           <td >      94
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'file';">Total cmp:</label></td>
           <td >      7
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      4.5
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'file';">Branches:</label></td>
           <td >      0
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'file';">NCLOC:</label></td>
           <td >      53
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'file';">Cmp density:</label></td>
           <td >      0.26
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      6
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'file';">Methods:</label></td>
           <td >      6
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td colspan="2"></td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'file';">Avg method cmp:</label></td>
           <td >      1.17
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'file';">Classes:</label></td>
            <td >      1
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for file TestNameValuePair.java:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'file';">Stmts:</label></td>
           <td >      27
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'file';">LOC:</label></td>
           <td >      94
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'file';">Total cmp:</label></td>
           <td >      7
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      4.5
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'file';">Branches:</label></td>
           <td >      0
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'file';">NCLOC:</label></td>
           <td >      53
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'file';">Cmp density:</label></td>
           <td >      0.26
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      6
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'file';">Methods:</label></td>
           <td >      6
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td colspan="2"></td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'file';">Avg method cmp:</label></td>
           <td >      1.17
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'file';">Classes:</label></td>
            <td >      1
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>




<tr id="legend" style="display:none;"><td colspan="8">
    <div class="hbreak">&nbsp;</div>
    <table class="legend" cellspacing="0" cellpadding="0">
        <tr><td colspan="3" class="legendTitle">Legend</td></tr>

        <tr><td class="methodToggle" align="right">line#</td><td class="methodToggle" align="right">hit count</td>
            <td class="methodToggle"> </td>
        </tr>
        <tr><td class="lineCount Good" align="right">1</td><td class="coverageCount Good hitByTest" align="right">86</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine">line hit by 1 or more tests which passed</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">2</td><td class="coverageCount Good missedByTest" align="right">17</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine">line was covered, but not by a test case</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">3</td><td class="coverageCount Good hitByFailedTest" align="right">7</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine">line hit by 1 or more tests which did not pass</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">4</td><td class="coverageCount Good hitByTest" align="right">5</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine coveredByTest">line hit by more than one (selected) test</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">5</td><td class="coverageCount Good hitByTest" align="right">3</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine coveredByTestUniq">line hit by one test only</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">6</td><td class="coverageCount Good hitByTest" align="right">2</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine coveredByFailedTest">line hit by one or more (selected) tests that failed</span></td>
        </tr>
        <tr><td class="lineCount Bad" align="right">7</td><td class="coverageCount Bad hitByTest" align="right">1</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine srcLineHilight">line has an expression (e.g. a branch) or statement that was not fully covered</span></td>
        </tr>
        <tr><td class="lineCount Bad" align="right">8</td><td class="coverageCount Bad missedByTest" align="right">0</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine srcLineHilight">line was not covered at all</span></td>
        </tr>
        <tr><td class="lineCount Filtered " align="right">9</td><td class="coverageCount Filtered" align="right"></td>
               <td class="srcCell"><span class="spacer"/><span class="srcLineFiltered">line was filtered</span></td>
        </tr>
        
    </table>
    <div class="hbreak">&nbsp;</div>
    
    
</td></tr>
<tr><td class="hbreak" colspan="8">&nbsp; <label onkeyup="return help_src_file_expandall_summaries;" class="sortable" onclick="toggleAllClasses(this); return false;" id="stat-expander">Expand All</label></td></tr>
</tbody>
         <tbody>
        <tr>             <td class="graphHeaderLeft" id="TestNameValuePair" >
                                <span class="expand methodStart" id="span-TestNameValuePair" onclick="toggleClass(this, 'TestNameValuePair', 6);return false;">&nbsp;</span>
                                <span class="titleText"> <a href="#38" title="TestNameValuePair">TestNameValuePair</a></span>
                <span class="sortable" onclick="ts_resortTable(document.getElementById('TestNameValuePair'), 'alpha', 0);return false;" >&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
            </td>

            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 1);return false;">
                Line # 38
                <a name="sl-38"></a>
            </td>

                                        
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 2);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The total number of statements.';"  >Total Statements</label></span>
                    27
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 3);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';"  >% Filtered</label></span>
                    0%
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 4);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'Cyclomatic complexity is a measure of the number of paths in your code.';"  >Complexity</label></span>
                    7
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 5);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';"  >Uncovered Elements</label></span>
                    1
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 6);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';"  >TOTAL Coverage</label></span>
                    97%
</td>
<td class="graphBar graphHeader" align="center">
<span class="sortValue">0.969697</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="3% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="97% Covered" class="barPositive " style="width: 97%"></div>
    </div>
</div>
                </td>
                
                                    </tr> 
                <tr id="TestNameValuePair-1" style="display:none">
            <td class="methodSummary" id="summary-40-5">
                <span class="sortValue">testConstructor()&nbsp;:&nbsp;void</span>
                &nbsp;&nbsp;<a href="#40" title="testConstructor()&nbsp;:&nbsp;void" name="sl-40">testConstructor()&nbsp;:&nbsp;void</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">40</span>
                40
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">3.0</span>
              3
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
            </td>
              
                   </tr>
                <tr id="TestNameValuePair-2" style="display:none">
            <td class="methodSummary" id="summary-47-5">
                <span class="sortValue">testInvalidName()&nbsp;:&nbsp;void</span>
                &nbsp;&nbsp;<a href="#47" title="testInvalidName()&nbsp;:&nbsp;void" name="sl-47">testInvalidName()&nbsp;:&nbsp;void</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">47</span>
                47
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">3.0</span>
              3
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">2.0</span>
              2
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.6666667</span>
              66.7%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.6666667</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="33.3% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="66.7% Covered" class="barPositive " style="width: 66.7%"></div>
    </div>
</div>
            </td>
              
                   </tr>
                <tr id="TestNameValuePair-3" style="display:none">
            <td class="methodSummary" id="summary-57-5">
                <span class="sortValue">testHashCode()&nbsp;:&nbsp;void</span>
                &nbsp;&nbsp;<a href="#57" title="testHashCode()&nbsp;:&nbsp;void" name="sl-57">testHashCode()&nbsp;:&nbsp;void</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">57</span>
                57
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">5.0</span>
              5
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
            </td>
              
                   </tr>
                <tr id="TestNameValuePair-4" style="display:none">
            <td class="methodSummary" id="summary-66-5">
                <span class="sortValue">testEquals()&nbsp;:&nbsp;void</span>
                &nbsp;&nbsp;<a href="#66" title="testEquals()&nbsp;:&nbsp;void" name="sl-66">testEquals()&nbsp;:&nbsp;void</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">66</span>
                66
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">9.0</span>
              9
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
            </td>
              
                   </tr>
                <tr id="TestNameValuePair-5" style="display:none">
            <td class="methodSummary" id="summary-79-5">
                <span class="sortValue">testToString()&nbsp;:&nbsp;void</span>
                &nbsp;&nbsp;<a href="#79" title="testToString()&nbsp;:&nbsp;void" name="sl-79">testToString()&nbsp;:&nbsp;void</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">79</span>
                79
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">4.0</span>
              4
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
            </td>
              
                   </tr>
                <tr id="TestNameValuePair-6" style="display:none">
            <td class="methodSummary" id="summary-87-5">
                <span class="sortValue">testCloning()&nbsp;:&nbsp;void</span>
                &nbsp;&nbsp;<a href="#87" title="testCloning()&nbsp;:&nbsp;void" name="sl-87">testCloning()&nbsp;:&nbsp;void</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">87</span>
                87
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">3.0</span>
              3
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
            </td>
              
                   </tr>
             </tbody>
     <tbody><tr><td class="hbreak" colspan="8">&nbsp;</td></tr></tbody>
</table>

<table cellspacing="0" cellpadding="0" class="barGraph">
    <tbody>
<tr>
    <td class="hbreak" align="left" colspan="4">
        &nbsp; <label class="sortable" id="testsToggle" onclick="toggleAllTests(this); return false;" onkeyup="return help_src_file_show_tests;">Show Tests </label>(6) <label onkeyup="return help_select_all;" class="selectable unselected" id="selectalltests" onclick="selectAllTests(this);">Select All </label> <label onkeyup='return help_deselect_all;' class="selectable selected" id="deselectalltests" onclick="deselectAllTests(this);">Deselect All</label>
    </td>
</tr>
</tbody>
<tbody id="tests-body" style="display:none">
<tr id="testHeaderRow">
    <td class="graphHeaderLeft titleText" align="center" >
        <label onkeyup="return help_hilight_test;" id="help_1">Highlight</label>
    </td>
    <td class="graphHeaderLeft titleText sortable" onclick="ts_resortTable(this, 'number', 1);return false;">
        <label onkeyup="return help_test_contribution;" id="help_2">Test Contribution</label>
    </td>
    <td class="graphHeaderLeft titleText sortable" onclick="ts_resortTable(this, 'alpha', 2);return false;">
        <label onkeyup="return help_src_file_test;" id="help_3">Test</label>
    </td>
    <td class="graphHeaderLeft titleText sortable" onclick="ts_resortTable(this, 'alpha', 3);return false;">Result</td>
</tr>

        <tr id="test-521">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-521"></a>
            <input type="checkbox" id="cb-521" value="521" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../org/apache/http/message/TestNameValuePair_testEquals_eh.html';">
            <span class="sortValue">0.3030303</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="69.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="30.3% Covered" class="barPositive contribBarPositive" style="width: 30.3%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-521">
            <span class="sortValue">org.apache.http.message.TestNameValuePair.testEquals</span>
            <a href="../../../../org/apache/http/message/TestNameValuePair.html?line=66#src-66" title="View Test Source"><img class="icon" alt="test" src="../../../../img/test.gif"/></a>
            <a href="../../../../org/apache/http/message/TestNameValuePair_testEquals_eh.html" title="Test Summary Page">org.apache.http.message.TestNameValuePair.testEquals</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-442">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-442"></a>
            <input type="checkbox" id="cb-442" value="442" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../org/apache/http/message/TestNameValuePair_testHashCode_ca.html';">
            <span class="sortValue">0.18181819</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="81.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="18.2% Covered" class="barPositive contribBarPositive" style="width: 18.2%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-442">
            <span class="sortValue">org.apache.http.message.TestNameValuePair.testHashCode</span>
            <a href="../../../../org/apache/http/message/TestNameValuePair.html?line=57#src-57" title="View Test Source"><img class="icon" alt="test" src="../../../../img/test.gif"/></a>
            <a href="../../../../org/apache/http/message/TestNameValuePair_testHashCode_ca.html" title="Test Summary Page">org.apache.http.message.TestNameValuePair.testHashCode</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-126">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-126"></a>
            <input type="checkbox" id="cb-126" value="126" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../org/apache/http/message/TestNameValuePair_testToString_3i.html';">
            <span class="sortValue">0.15151516</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="84.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="15.2% Covered" class="barPositive contribBarPositive" style="width: 15.2%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-126">
            <span class="sortValue">org.apache.http.message.TestNameValuePair.testToString</span>
            <a href="../../../../org/apache/http/message/TestNameValuePair.html?line=79#src-79" title="View Test Source"><img class="icon" alt="test" src="../../../../img/test.gif"/></a>
            <a href="../../../../org/apache/http/message/TestNameValuePair_testToString_3i.html" title="Test Summary Page">org.apache.http.message.TestNameValuePair.testToString</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-459">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-459"></a>
            <input type="checkbox" id="cb-459" value="459" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../org/apache/http/message/TestNameValuePair_testConstructor_cr.html';">
            <span class="sortValue">0.121212125</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="87.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="12.1% Covered" class="barPositive contribBarPositive" style="width: 12.1%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-459">
            <span class="sortValue">org.apache.http.message.TestNameValuePair.testConstructor</span>
            <a href="../../../../org/apache/http/message/TestNameValuePair.html?line=40#src-40" title="View Test Source"><img class="icon" alt="test" src="../../../../img/test.gif"/></a>
            <a href="../../../../org/apache/http/message/TestNameValuePair_testConstructor_cr.html" title="Test Summary Page">org.apache.http.message.TestNameValuePair.testConstructor</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-306">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-306"></a>
            <input type="checkbox" id="cb-306" value="306" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../org/apache/http/message/TestNameValuePair_testCloning_8i.html';">
            <span class="sortValue">0.121212125</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="87.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="12.1% Covered" class="barPositive contribBarPositive" style="width: 12.1%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-306">
            <span class="sortValue">org.apache.http.message.TestNameValuePair.testCloning</span>
            <a href="../../../../org/apache/http/message/TestNameValuePair.html?line=87#src-87" title="View Test Source"><img class="icon" alt="test" src="../../../../img/test.gif"/></a>
            <a href="../../../../org/apache/http/message/TestNameValuePair_testCloning_8i.html" title="Test Summary Page">org.apache.http.message.TestNameValuePair.testCloning</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-293">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-293"></a>
            <input type="checkbox" id="cb-293" value="293" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../org/apache/http/message/TestNameValuePair_testInvalidName_85.html';">
            <span class="sortValue">0.09090909</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="90.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="9.1% Covered" class="barPositive contribBarPositive" style="width: 9.1%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-293">
            <span class="sortValue">org.apache.http.message.TestNameValuePair.testInvalidName</span>
            <a href="../../../../org/apache/http/message/TestNameValuePair.html?line=47#src-47" title="View Test Source"><img class="icon" alt="test" src="../../../../img/test.gif"/></a>
            <a href="../../../../org/apache/http/message/TestNameValuePair_testInvalidName_85.html" title="Test Summary Page">org.apache.http.message.TestNameValuePair.testInvalidName</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
    
</tbody>
<tbody><tr><td class="hbreak" colspan="4">&nbsp;</td></tr></tbody>
</table>

<table cellspacing="0" cellpadding="0" class="srcView">
<tbody>
<tr><td colspan="2" class="sortable methodToggle"><label onkeyup="return help_src_file_expandall_src;" onclick="toggleAllInlineMethods(this); return false;" id="method-expander">Collapse All</label></td><th></th></tr>
</tbody>
<tbody>


        

<tr id="l1">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=1#src-1">1</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-1" class="srcLine"><span class="comment">/*</span></span></td>
</tr>
        

<tr id="l2">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=2#src-2">2</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-2" class="srcLine"><span class="comment"> * ====================================================================</span></span></td>
</tr>
        

<tr id="l3">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=3#src-3">3</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-3" class="srcLine"><span class="comment"> * Licensed to the Apache Software Foundation (ASF) under one</span></span></td>
</tr>
        

<tr id="l4">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=4#src-4">4</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-4" class="srcLine"><span class="comment"> * or more contributor license agreements.  See the NOTICE file</span></span></td>
</tr>
        

<tr id="l5">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=5#src-5">5</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-5" class="srcLine"><span class="comment"> * distributed with this work for additional information</span></span></td>
</tr>
        

<tr id="l6">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=6#src-6">6</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-6" class="srcLine"><span class="comment"> * regarding copyright ownership.  The ASF licenses this file</span></span></td>
</tr>
        

<tr id="l7">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=7#src-7">7</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-7" class="srcLine"><span class="comment"> * to you under the Apache License, Version 2.0 (the</span></span></td>
</tr>
        

<tr id="l8">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=8#src-8">8</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-8" class="srcLine"><span class="comment"> * &quot;License&quot;); you may not use this file except in compliance</span></span></td>
</tr>
        

<tr id="l9">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=9#src-9">9</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-9" class="srcLine"><span class="comment"> * with the License.  You may obtain a copy of the License at</span></span></td>
</tr>
        

<tr id="l10">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=10#src-10">10</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-10" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l11">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=11#src-11">11</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-11" class="srcLine"><span class="comment"> *   http://www.apache.org/licenses/LICENSE-2.0</span></span></td>
</tr>
        

<tr id="l12">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=12#src-12">12</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-12" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l13">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=13#src-13">13</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-13" class="srcLine"><span class="comment"> * Unless required by applicable law or agreed to in writing,</span></span></td>
</tr>
        

<tr id="l14">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=14#src-14">14</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-14" class="srcLine"><span class="comment"> * software distributed under the License is distributed on an</span></span></td>
</tr>
        

<tr id="l15">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=15#src-15">15</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-15" class="srcLine"><span class="comment"> * &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY</span></span></td>
</tr>
        

<tr id="l16">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=16#src-16">16</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-16" class="srcLine"><span class="comment"> * KIND, either express or implied.  See the License for the</span></span></td>
</tr>
        

<tr id="l17">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=17#src-17">17</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-17" class="srcLine"><span class="comment"> * specific language governing permissions and limitations</span></span></td>
</tr>
        

<tr id="l18">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=18#src-18">18</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-18" class="srcLine"><span class="comment"> * under the License.</span></span></td>
</tr>
        

<tr id="l19">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=19#src-19">19</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-19" class="srcLine"><span class="comment"> * ====================================================================</span></span></td>
</tr>
        

<tr id="l20">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=20#src-20">20</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-20" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l21">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=21#src-21">21</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-21" class="srcLine"><span class="comment"> * This software consists of voluntary contributions made by many</span></span></td>
</tr>
        

<tr id="l22">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=22#src-22">22</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-22" class="srcLine"><span class="comment"> * individuals on behalf of the Apache Software Foundation.  For more</span></span></td>
</tr>
        

<tr id="l23">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=23#src-23">23</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-23" class="srcLine"><span class="comment"> * information on the Apache Software Foundation, please see</span></span></td>
</tr>
        

<tr id="l24">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=24#src-24">24</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-24" class="srcLine"><span class="comment"> * &lt;http://www.apache.org/&gt;.</span></span></td>
</tr>
        

<tr id="l25">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=25#src-25">25</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-25" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l26">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=26#src-26">26</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-26" class="srcLine"><span class="comment"> */</span></span></td>
</tr>
        

<tr id="l27">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=27#src-27">27</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-27" class="srcLine"></span></td>
</tr>
        

<tr id="l28">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=28#src-28">28</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-28" class="srcLine"><span class="keyword">package</span> org.apache.<a href="../../http/pkg-summary.html">http</a>.<a href="../message/pkg-summary.html">message</a>;</span></td>
</tr>
        

<tr id="l29">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=29#src-29">29</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-29" class="srcLine"></span></td>
</tr>
        

<tr id="l30">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=30#src-30">30</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-30" class="srcLine"><span class="keyword">import</span> org.apache.<a href="../../http/pkg-summary.html">http</a>.<a href="../../../../org/apache/http/NameValuePair.html#NameValuePair">NameValuePair</a>;</span></td>
</tr>
        

<tr id="l31">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=31#src-31">31</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-31" class="srcLine"><span class="keyword">import</span> org.junit.Assert;</span></td>
</tr>
        

<tr id="l32">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=32#src-32">32</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-32" class="srcLine"><span class="keyword">import</span> org.junit.Test;</span></td>
</tr>
        

<tr id="l33">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=33#src-33">33</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-33" class="srcLine"></span></td>
</tr>
        

<tr id="l34">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=34#src-34">34</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-34" class="srcLine"><span class="comment">/**</span></span></td>
</tr>
        

<tr id="l35">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=35#src-35">35</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-35" class="srcLine"><span class="comment"> * Unit tests for {</span><span class="javadoc">@link</span><span class="comment"> NameValuePair}.</span></span></td>
</tr>
        

<tr id="l36">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=36#src-36">36</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-36" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l37">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=37#src-37">37</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-37" class="srcLine"><span class="comment"> */</span></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="38" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-38' onclick="toggleInlineStats(this, 'inlinestats-38');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-38" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-38'), 'inlinestats-38');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="3% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="97% Covered" class="barPositive barPositive" style="width: 97%"></div>
    </div>
</div></td><td>97%</td>
           <td class="inlineStat">Uncovered Elements: 1 (33)</td>
           <td class="inlineStat">Complexity: 7</td>
           <td class="inlineStat">Complexity Density: 0.26</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l38">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=38#src-38">38</a></td>
<td align="right" class="coverageCount NoHilight "
           onclick="return showTestsForLine(this, 38, 'Tests that hit &lt;span class=\'srcFragment\'&gt; TestNameValuePair &lt;/span&gt;');"
       >
    &nbsp;&nbsp;

</td>
<td class="  srcCell" id="id-38" >
    <span class="spacer"></span><span id="src-38" class="srcLineClassStart"><span class="keyword">public</span> <span class="keyword">class</span> <a href="../../../../org/apache/http/message/TestNameValuePair.html#TestNameValuePair">TestNameValuePair</a> {</span></td>
</tr>
        

<tr id="l39">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=39#src-39">39</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-39" class="srcLine"></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="40" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-40' onclick="toggleInlineStats(this, 'inlinestats-40');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-40" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-40'), 'inlinestats-40');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="100% Covered" class="barPositive barPositive" style="width: 100%"></div>
    </div>
</div></td><td>100%</td>
           <td class="inlineStat">Uncovered Elements: 0 (3)</td>
           <td class="inlineStat">Complexity: 1</td>
           <td class="inlineStat">Complexity Density: 0.33</td>
                        <td class="inlineStat">      <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
  </td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l40">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=40#src-40">40</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 40, 'Tests that hit &lt;span class=\'srcFragment\'&gt; testConstructor()&amp;nbsp;:&amp;nbsp;void &lt;/span&gt;');"
       >
    <span title="Line 40, Col 5: method entered 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  methodStart  srcCell" id="id-40" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 40,45);" id="img-40" src="../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-40" class="srcLine"><span class="nolink" title="Line 40, Col 5: method entered 1 time.">    @Test</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-40'), 40,45);" id="e40" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l41">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=41#src-41">41</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-41" class="srcLine">    <span class="keyword">public</span> <span class="keyword">void</span> testConstructor() {</span></td>
</tr>
        

<tr id="l42">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=42#src-42">42</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 42, 'Tests that hit line # 42');"
    >
    <span title="Line 42, Col 9: statement executed 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-42" class="srcLine"><span class="nolink" title="Line 42, Col 9: statement executed 1 time.">        <a href="../../../../org/apache/http/NameValuePair.html#NameValuePair">NameValuePair</a> param = <span class="keyword">new</span> <a href="../../../../org/apache/http/message/BasicNameValuePair.html#BasicNameValuePair">BasicNameValuePair</a>(<span class="string">&quot;name&quot;</span>, <span class="string">&quot;value&quot;</span>);</span></span></td>
</tr>
        

<tr id="l43">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=43#src-43">43</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 43, 'Tests that hit line # 43');"
    >
    <span title="Line 43, Col 9: statement executed 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-43" class="srcLine"><span class="nolink" title="Line 43, Col 9: statement executed 1 time.">        Assert.assertEquals(<span class="string">&quot;name&quot;</span>, param.getName());</span></span></td>
</tr>
        

<tr id="l44">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=44#src-44">44</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 44, 'Tests that hit line # 44');"
    >
    <span title="Line 44, Col 9: statement executed 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-44" class="srcLine"><span class="nolink" title="Line 44, Col 9: statement executed 1 time.">        Assert.assertEquals(<span class="string">&quot;value&quot;</span>, param.getValue());</span></span></td>
</tr>
        

<tr id="l45">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=45#src-45">45</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-45" class="srcLine">    }</span></td>
</tr>
        

<tr id="l46">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=46#src-46">46</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-46" class="srcLine"></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="47" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-47' onclick="toggleInlineStats(this, 'inlinestats-47');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-47" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-47'), 'inlinestats-47');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="33.3% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="66.7% Covered" class="barPositive barPositive" style="width: 66.7%"></div>
    </div>
</div></td><td>66.7%</td>
           <td class="inlineStat">Uncovered Elements: 1 (3)</td>
           <td class="inlineStat">Complexity: 2</td>
           <td class="inlineStat">Complexity Density: 0.67</td>
                        <td class="inlineStat">      <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
  </td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l47">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=47#src-47">47</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 47, 'Tests that hit &lt;span class=\'srcFragment\'&gt; testInvalidName()&amp;nbsp;:&amp;nbsp;void &lt;/span&gt;');"
       >
    <span title="Line 47, Col 5: method entered 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  methodStart  srcCell" id="id-47" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 47,55);" id="img-47" src="../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-47" class="srcLine"><span class="nolink" title="Line 47, Col 5: method entered 1 time.">    @Test</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-47'), 47,55);" id="e47" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l48">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=48#src-48">48</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-48" class="srcLine">    <span class="keyword">public</span> <span class="keyword">void</span> testInvalidName() {</span></td>
</tr>
        

<tr id="l49">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=49#src-49">49</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 49, 'Tests that hit line # 49');"
    >
    <span title="Line 49, Col 9: statement executed 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-49" class="srcLine"><span class="nolink" title="Line 49, Col 9: statement executed 1 time.">        <span class="keyword">try</span> {</span></span></td>
</tr>
        

<tr id="l50">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=50#src-50">50</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 50, 'Tests that hit line # 50');"
    >
    <span title="Line 50, Col 13: statement executed 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-50" class="srcLine"><span class="nolink" title="Line 50, Col 13: statement executed 1 time.">            <span class="keyword">new</span> <a href="../../../../org/apache/http/message/BasicNameValuePair.html#BasicNameValuePair">BasicNameValuePair</a>(<span class="keyword">null</span>, <span class="keyword">null</span>);</span></span></td>
</tr>
        

<tr id="l51">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=51#src-51">51</a></td>
<td align="right" class="coverageCount Bad missedByTest"
         >
    <span title="Line 51, Col 13: statement not executed." class="nolink">&nbsp;0</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-51" class="srcLineHilight"><span class="nolink" title="Line 51, Col 13: statement not executed.">            Assert.fail(<span class="string">&quot;IllegalArgumentException should have been thrown&quot;</span>);</span></span></td>
</tr>
        

<tr id="l52">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=52#src-52">52</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-52" class="srcLine">        } <span class="keyword">catch</span> (IllegalArgumentException ex) {</span></td>
</tr>
        

<tr id="l53">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=53#src-53">53</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-53" class="srcLine">            <span class="comment">//expected</span></span></td>
</tr>
        

<tr id="l54">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=54#src-54">54</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-54" class="srcLine">        }</span></td>
</tr>
        

<tr id="l55">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=55#src-55">55</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-55" class="srcLine">    }</span></td>
</tr>
        

<tr id="l56">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=56#src-56">56</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-56" class="srcLine"></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="57" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-57' onclick="toggleInlineStats(this, 'inlinestats-57');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-57" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-57'), 'inlinestats-57');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="100% Covered" class="barPositive barPositive" style="width: 100%"></div>
    </div>
</div></td><td>100%</td>
           <td class="inlineStat">Uncovered Elements: 0 (5)</td>
           <td class="inlineStat">Complexity: 1</td>
           <td class="inlineStat">Complexity Density: 0.2</td>
                        <td class="inlineStat">      <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
  </td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l57">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=57#src-57">57</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 57, 'Tests that hit &lt;span class=\'srcFragment\'&gt; testHashCode()&amp;nbsp;:&amp;nbsp;void &lt;/span&gt;');"
       >
    <span title="Line 57, Col 5: method entered 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  methodStart  srcCell" id="id-57" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 57,64);" id="img-57" src="../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-57" class="srcLine"><span class="nolink" title="Line 57, Col 5: method entered 1 time.">    @Test</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-57'), 57,64);" id="e57" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l58">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=58#src-58">58</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-58" class="srcLine">    <span class="keyword">public</span> <span class="keyword">void</span> testHashCode() {</span></td>
</tr>
        

<tr id="l59">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=59#src-59">59</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 59, 'Tests that hit line # 59');"
    >
    <span title="Line 59, Col 9: statement executed 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-59" class="srcLine"><span class="nolink" title="Line 59, Col 9: statement executed 1 time.">        <a href="../../../../org/apache/http/NameValuePair.html#NameValuePair">NameValuePair</a> param1 = <span class="keyword">new</span> <a href="../../../../org/apache/http/message/BasicNameValuePair.html#BasicNameValuePair">BasicNameValuePair</a>(<span class="string">&quot;name1&quot;</span>, <span class="string">&quot;value1&quot;</span>);</span></span></td>
</tr>
        

<tr id="l60">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=60#src-60">60</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 60, 'Tests that hit line # 60');"
    >
    <span title="Line 60, Col 9: statement executed 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-60" class="srcLine"><span class="nolink" title="Line 60, Col 9: statement executed 1 time.">        <a href="../../../../org/apache/http/NameValuePair.html#NameValuePair">NameValuePair</a> param2 = <span class="keyword">new</span> <a href="../../../../org/apache/http/message/BasicNameValuePair.html#BasicNameValuePair">BasicNameValuePair</a>(<span class="string">&quot;name2&quot;</span>, <span class="string">&quot;value2&quot;</span>);</span></span></td>
</tr>
        

<tr id="l61">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=61#src-61">61</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 61, 'Tests that hit line # 61');"
    >
    <span title="Line 61, Col 9: statement executed 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-61" class="srcLine"><span class="nolink" title="Line 61, Col 9: statement executed 1 time.">        <a href="../../../../org/apache/http/NameValuePair.html#NameValuePair">NameValuePair</a> param3 = <span class="keyword">new</span> <a href="../../../../org/apache/http/message/BasicNameValuePair.html#BasicNameValuePair">BasicNameValuePair</a>(<span class="string">&quot;name1&quot;</span>, <span class="string">&quot;value1&quot;</span>);</span></span></td>
</tr>
        

<tr id="l62">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=62#src-62">62</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 62, 'Tests that hit line # 62');"
    >
    <span title="Line 62, Col 9: statement executed 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-62" class="srcLine"><span class="nolink" title="Line 62, Col 9: statement executed 1 time.">        Assert.assertTrue(param1.hashCode() != param2.hashCode());</span></span></td>
</tr>
        

<tr id="l63">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=63#src-63">63</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 63, 'Tests that hit line # 63');"
    >
    <span title="Line 63, Col 9: statement executed 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-63" class="srcLine"><span class="nolink" title="Line 63, Col 9: statement executed 1 time.">        Assert.assertTrue(param1.hashCode() == param3.hashCode());</span></span></td>
</tr>
        

<tr id="l64">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=64#src-64">64</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-64" class="srcLine">    }</span></td>
</tr>
        

<tr id="l65">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=65#src-65">65</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-65" class="srcLine"></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="66" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-66' onclick="toggleInlineStats(this, 'inlinestats-66');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-66" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-66'), 'inlinestats-66');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="100% Covered" class="barPositive barPositive" style="width: 100%"></div>
    </div>
</div></td><td>100%</td>
           <td class="inlineStat">Uncovered Elements: 0 (9)</td>
           <td class="inlineStat">Complexity: 1</td>
           <td class="inlineStat">Complexity Density: 0.11</td>
                        <td class="inlineStat">      <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
  </td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l66">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=66#src-66">66</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 66, 'Tests that hit &lt;span class=\'srcFragment\'&gt; testEquals()&amp;nbsp;:&amp;nbsp;void &lt;/span&gt;');"
       >
    <span title="Line 66, Col 5: method entered 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  methodStart  srcCell" id="id-66" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 66,77);" id="img-66" src="../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-66" class="srcLine"><span class="nolink" title="Line 66, Col 5: method entered 1 time.">    @Test</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-66'), 66,77);" id="e66" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l67">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=67#src-67">67</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-67" class="srcLine">    <span class="keyword">public</span> <span class="keyword">void</span> testEquals() {</span></td>
</tr>
        

<tr id="l68">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=68#src-68">68</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 68, 'Tests that hit line # 68');"
    >
    <span title="Line 68, Col 9: statement executed 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-68" class="srcLine"><span class="nolink" title="Line 68, Col 9: statement executed 1 time.">        <a href="../../../../org/apache/http/NameValuePair.html#NameValuePair">NameValuePair</a> param1 = <span class="keyword">new</span> <a href="../../../../org/apache/http/message/BasicNameValuePair.html#BasicNameValuePair">BasicNameValuePair</a>(<span class="string">&quot;name1&quot;</span>, <span class="string">&quot;value1&quot;</span>);</span></span></td>
</tr>
        

<tr id="l69">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=69#src-69">69</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 69, 'Tests that hit line # 69');"
    >
    <span title="Line 69, Col 9: statement executed 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-69" class="srcLine"><span class="nolink" title="Line 69, Col 9: statement executed 1 time.">        <a href="../../../../org/apache/http/NameValuePair.html#NameValuePair">NameValuePair</a> param2 = <span class="keyword">new</span> <a href="../../../../org/apache/http/message/BasicNameValuePair.html#BasicNameValuePair">BasicNameValuePair</a>(<span class="string">&quot;name2&quot;</span>, <span class="string">&quot;value2&quot;</span>);</span></span></td>
</tr>
        

<tr id="l70">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=70#src-70">70</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 70, 'Tests that hit line # 70');"
    >
    <span title="Line 70, Col 9: statement executed 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-70" class="srcLine"><span class="nolink" title="Line 70, Col 9: statement executed 1 time.">        <a href="../../../../org/apache/http/NameValuePair.html#NameValuePair">NameValuePair</a> param3 = <span class="keyword">new</span> <a href="../../../../org/apache/http/message/BasicNameValuePair.html#BasicNameValuePair">BasicNameValuePair</a>(<span class="string">&quot;name1&quot;</span>, <span class="string">&quot;value1&quot;</span>);</span></span></td>
</tr>
        

<tr id="l71">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=71#src-71">71</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 71, 'Tests that hit line # 71');"
    >
    <span title="Line 71, Col 9: statement executed 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-71" class="srcLine"><span class="nolink" title="Line 71, Col 9: statement executed 1 time.">        Assert.assertFalse(param1.equals(param2));</span></span></td>
</tr>
        

<tr id="l72">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=72#src-72">72</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 72, 'Tests that hit line # 72');"
    >
    <span title="Line 72, Col 9: statement executed 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-72" class="srcLine"><span class="nolink" title="Line 72, Col 9: statement executed 1 time.">        Assert.assertFalse(param1.equals(<span class="keyword">null</span>));</span></span></td>
</tr>
        

<tr id="l73">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=73#src-73">73</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 73, 'Tests that hit line # 73');"
    >
    <span title="Line 73, Col 9: statement executed 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-73" class="srcLine"><span class="nolink" title="Line 73, Col 9: statement executed 1 time.">        Assert.assertFalse(param1.equals(<span class="string">&quot;name1 = value1&quot;</span>));</span></span></td>
</tr>
        

<tr id="l74">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=74#src-74">74</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 74, 'Tests that hit line # 74');"
    >
    <span title="Line 74, Col 9: statement executed 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-74" class="srcLine"><span class="nolink" title="Line 74, Col 9: statement executed 1 time.">        Assert.assertTrue(param1.equals(param1));</span></span></td>
</tr>
        

<tr id="l75">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=75#src-75">75</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 75, 'Tests that hit line # 75');"
    >
    <span title="Line 75, Col 9: statement executed 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-75" class="srcLine"><span class="nolink" title="Line 75, Col 9: statement executed 1 time.">        Assert.assertTrue(param2.equals(param2));</span></span></td>
</tr>
        

<tr id="l76">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=76#src-76">76</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 76, 'Tests that hit line # 76');"
    >
    <span title="Line 76, Col 9: statement executed 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-76" class="srcLine"><span class="nolink" title="Line 76, Col 9: statement executed 1 time.">        Assert.assertTrue(param1.equals(param3));</span></span></td>
</tr>
        

<tr id="l77">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=77#src-77">77</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-77" class="srcLine">    }</span></td>
</tr>
        

<tr id="l78">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=78#src-78">78</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-78" class="srcLine"></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="79" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-79' onclick="toggleInlineStats(this, 'inlinestats-79');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-79" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-79'), 'inlinestats-79');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="100% Covered" class="barPositive barPositive" style="width: 100%"></div>
    </div>
</div></td><td>100%</td>
           <td class="inlineStat">Uncovered Elements: 0 (4)</td>
           <td class="inlineStat">Complexity: 1</td>
           <td class="inlineStat">Complexity Density: 0.25</td>
                        <td class="inlineStat">      <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
  </td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l79">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=79#src-79">79</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 79, 'Tests that hit &lt;span class=\'srcFragment\'&gt; testToString()&amp;nbsp;:&amp;nbsp;void &lt;/span&gt;');"
       >
    <span title="Line 79, Col 5: method entered 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  methodStart  srcCell" id="id-79" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 79,85);" id="img-79" src="../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-79" class="srcLine"><span class="nolink" title="Line 79, Col 5: method entered 1 time.">    @Test</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-79'), 79,85);" id="e79" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l80">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=80#src-80">80</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-80" class="srcLine">    <span class="keyword">public</span> <span class="keyword">void</span> testToString() {</span></td>
</tr>
        

<tr id="l81">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=81#src-81">81</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 81, 'Tests that hit line # 81');"
    >
    <span title="Line 81, Col 9: statement executed 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-81" class="srcLine"><span class="nolink" title="Line 81, Col 9: statement executed 1 time.">        <a href="../../../../org/apache/http/NameValuePair.html#NameValuePair">NameValuePair</a> param1 = <span class="keyword">new</span> <a href="../../../../org/apache/http/message/BasicNameValuePair.html#BasicNameValuePair">BasicNameValuePair</a>(<span class="string">&quot;name1&quot;</span>, <span class="string">&quot;value1&quot;</span>);</span></span></td>
</tr>
        

<tr id="l82">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=82#src-82">82</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 82, 'Tests that hit line # 82');"
    >
    <span title="Line 82, Col 9: statement executed 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-82" class="srcLine"><span class="nolink" title="Line 82, Col 9: statement executed 1 time.">        Assert.assertEquals(<span class="string">&quot;name1=value1&quot;</span>, param1.toString());</span></span></td>
</tr>
        

<tr id="l83">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=83#src-83">83</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 83, 'Tests that hit line # 83');"
    >
    <span title="Line 83, Col 9: statement executed 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-83" class="srcLine"><span class="nolink" title="Line 83, Col 9: statement executed 1 time.">        <a href="../../../../org/apache/http/NameValuePair.html#NameValuePair">NameValuePair</a> param2 = <span class="keyword">new</span> <a href="../../../../org/apache/http/message/BasicNameValuePair.html#BasicNameValuePair">BasicNameValuePair</a>(<span class="string">&quot;name1&quot;</span>, <span class="keyword">null</span>);</span></span></td>
</tr>
        

<tr id="l84">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=84#src-84">84</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 84, 'Tests that hit line # 84');"
    >
    <span title="Line 84, Col 9: statement executed 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-84" class="srcLine"><span class="nolink" title="Line 84, Col 9: statement executed 1 time.">        Assert.assertEquals(<span class="string">&quot;name1&quot;</span>, param2.toString());</span></span></td>
</tr>
        

<tr id="l85">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=85#src-85">85</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-85" class="srcLine">    }</span></td>
</tr>
        

<tr id="l86">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=86#src-86">86</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-86" class="srcLine"></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="87" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-87' onclick="toggleInlineStats(this, 'inlinestats-87');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-87" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-87'), 'inlinestats-87');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="100% Covered" class="barPositive barPositive" style="width: 100%"></div>
    </div>
</div></td><td>100%</td>
           <td class="inlineStat">Uncovered Elements: 0 (3)</td>
           <td class="inlineStat">Complexity: 1</td>
           <td class="inlineStat">Complexity Density: 0.33</td>
                        <td class="inlineStat">      <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
  </td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l87">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=87#src-87">87</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 87, 'Tests that hit &lt;span class=\'srcFragment\'&gt; testCloning()&amp;nbsp;:&amp;nbsp;void &lt;/span&gt;');"
       >
    <span title="Line 87, Col 5: method entered 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  methodStart  srcCell" id="id-87" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 87,92);" id="img-87" src="../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-87" class="srcLine"><span class="nolink" title="Line 87, Col 5: method entered 1 time.">    @Test</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-87'), 87,92);" id="e87" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l88">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=88#src-88">88</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-88" class="srcLine">    <span class="keyword">public</span> <span class="keyword">void</span> testCloning() <span class="keyword">throws</span> Exception {</span></td>
</tr>
        

<tr id="l89">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=89#src-89">89</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 89, 'Tests that hit line # 89');"
    >
    <span title="Line 89, Col 9: statement executed 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-89" class="srcLine"><span class="nolink" title="Line 89, Col 9: statement executed 1 time.">        <a href="../../../../org/apache/http/message/BasicNameValuePair.html#BasicNameValuePair">BasicNameValuePair</a> orig = <span class="keyword">new</span> <a href="../../../../org/apache/http/message/BasicNameValuePair.html#BasicNameValuePair">BasicNameValuePair</a>(<span class="string">&quot;name1&quot;</span>, <span class="string">&quot;value1&quot;</span>);</span></span></td>
</tr>
        

<tr id="l90">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=90#src-90">90</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 90, 'Tests that hit line # 90');"
    >
    <span title="Line 90, Col 9: statement executed 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-90" class="srcLine"><span class="nolink" title="Line 90, Col 9: statement executed 1 time.">        <a href="../../../../org/apache/http/message/BasicNameValuePair.html#BasicNameValuePair">BasicNameValuePair</a> clone = (<a href="../../../../org/apache/http/message/BasicNameValuePair.html#BasicNameValuePair">BasicNameValuePair</a>) orig.clone();</span></span></td>
</tr>
        

<tr id="l91">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=91#src-91">91</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 91, 'Tests that hit line # 91');"
    >
    <span title="Line 91, Col 9: statement executed 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-91" class="srcLine"><span class="nolink" title="Line 91, Col 9: statement executed 1 time.">        Assert.assertEquals(orig, clone);</span></span></td>
</tr>
        

<tr id="l92">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=92#src-92">92</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-92" class="srcLine">    }</span></td>
</tr>
        

<tr id="l93">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=93#src-93">93</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-93" class="srcLine"></span></td>
</tr>
        

<tr id="l94">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=94#src-94">94</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-94" class="srcLine">}</span></td>
</tr>
</tbody></table>
<table width="100%"><tr><td class="hbreak" colspan="8">&nbsp;</td></tr>
<tr><td class="footer" colspan="8">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:35:16 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></table>
<script type="text/javascript">
    var ol_bgclass = "overBG";
    var ol_fgclass = "overFG";
    var ol_cgclass = "overCaption";
    var ol_captionfontclass= "overCaption";
    var ol_closefontclass = "closeFont";
    var ol_closeclick = 1;
    var ol_close = 'X';
    var ol_wrap = 1;
    var rootRelPath = '../../../../';
    var testsPerFile = -1;
</script>
<script src="TestNameValuePair.js" type="text/javascript"></script>
<script src="../../../../help.js" type="text/javascript"></script>
<script src="../../../../clover.js" type="text/javascript"></script>
<script src="../../../../sorttable.js" type="text/javascript"></script>
<script src="../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
<script src="../../../../overlibmws_shadow.js" type="text/javascript" ></script>
<script src="../../../../utils.js" type="text/javascript"></script>
</body>

</html>
